Subject: Escape sequences

From: Luis Iraola Moreno <[email-masked]>
Date: Fri, 11 Feb 2000 12:12:22 +0000 (WET DST)

Hello _,

I have found this small asymetry in the use of escape sequences in atoms
and strings.

Within an atom, a single quotation mark can generate a escape sequence:

?- concat(a,'''',X).

X = 'a\''

But a double quotation mark within a string seems to be "un-escapable":

?- string_concat("a","""",X).

X = "a"""

Am I missing something? I know escape sequences are a new (and nice)
feature of 3.3, so maybe there is a built-in way of producing escape
sequences with double quotes in strings.

Thanks in advance,

Luis Iraola.